Subject: Re: [PATCH] pcmcia: avoid binding hostap_cs to Orinoco cards

From: Pavel Roskin <[email-masked]>
Date: Mon, 27 Mar 2006 12:12:52 -0500

On Mon, 2006-03-27 at 11:48 -0500, John W. Linville wrote:
> > this patch seems to break my setup. The hostap_cs driver included in
> > kernel 2.6.16 does not detect my Prism 2 WLAN card anymore, although it
> > is *not* Orinoco. With 2.6.15.5 it still worked.

It mean hostap_cs was identifying the card solely by its numeric ID
(0x0156, 0x0002) instead of the vendor strings.  Since that particular
numeric ID was used both by cards that are supported by hostap_cs and
those that are not, it cannot be used in hostap_cs.

Sebastian, please send me the output of "pccardctl ident" and I'll
submit the patch for hostap_cs.

> This patch didn't come through me, so I don't know much about it.
> Hopefully Pavel or Dominik can comment?

-- 
Regards,
Pavel Roskin